{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "d37f7d4c",
   "metadata": {},
   "source": [
    "# Тест по функциям #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "d10fac6b",
   "metadata": {},
   "source": [
    "##### Вас зовут:\n",
    "___"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "c81785e7",
   "metadata": {},
   "source": [
    "##### 1. Что по умолчанию возвращает функция, где не определен `return`?\n",
    "\n",
    "- [ ] 0\n",
    "- [ ] В каждой функции необходимо использовать оператор `return`\n",
    "- [ ] `None`\n",
    "- [ ] 1"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "1301ae95",
   "metadata": {},
   "source": [
    "##### 2. Как оформляется тело функции в **Python**?\n",
    "\n",
    "- [ ] Операторами `BEGIN-END`\n",
    "- [ ] Отступом\n",
    "- [ ] Фигурными скобками\n",
    "- [ ] Квадратными скобками"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "a52fd238",
   "metadata": {},
   "source": [
    "##### 3. Что произойдет при вызове функции `foo`?\n",
    "\n",
    "```python\n",
    "def foo(*args, **kwargs): pass\n",
    "```\n",
    "\n",
    "- [ ] Все именованные аргументы запишутся в кортеж `kwargs`\n",
    "- [ ] Все именованные аргументы запишутся в словарь `kwargs`\n",
    "- [ ] Синтаксическая ошибка\n",
    "- [ ] Все позиционные аргументы запишутся в кортеж `args`\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "2384b8b4",
   "metadata": {},
   "source": [
    "##### 4. В каком случае можно вызвать функцию без параметров?\n",
    "\n",
    "- [ ] Если используются `*args`, `**kwargs`\n",
    "- [ ] У каждой функции должны быть параметры, в этом суть функций\n",
    "- [ ] Если у всех аргументов есть значения по умолчанию\n",
    "- [ ] Если она не ожидает аргументов"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
